Page MenuHomeFreeBSD

ipmi: do not omit lun in BMC addresses
ClosedPublic

Authored by yuri_aetern.org on Jun 27 2022, 3:31 PM.

Details

Summary

Apparently some systems put sensors on non-0 lun, so we should not omit it. That was the only difference with the linux driver, where DIMM sensors (see testing part) worked and didn't on FreeBSD.

Test Plan

Diff Detail

Repository
rG FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri_aetern.org created this revision.
philip added a subscriber: philip.

Tested on a DL380 and seems to work.

This revision is now accepted and ready to land.Jul 3 2022, 5:50 AM

Tested on a DL380 and seems to work.

Yes, it should be no-op on DL380, and is intended to fix some other (unknown as forums thread shows) system.

philip requested changes to this revision.Jul 4 2022, 5:34 AM

Would you mind rebasing this one for me? It doesn't apply cleanly after I pushed your D35605. Thanks!

This revision now requires changes to proceed.Jul 4 2022, 5:34 AM
This revision is now accepted and ready to land.Jul 4 2022, 6:35 AM
This revision was automatically updated to reflect the committed changes.